## Python Glacier Evolution Model (PyGEM)

Overview: Python Glacier Evolution Model (PyGEM) is an open-source glacier evolution model coded in Python that models the transient evolution of glaciers. Each glacier is modeled independently using a monthly timestep. PyGEM has a modular framework that allows different schemes to be used for model calibration or model physics (e.g., climatic mass balance, glacier dynamics).  In the newest version under development, PyGEM is working to become compatible with the Open Global Glacier Model (OGGM; https://oggm.org/).

Manual: Details concerning the model physics, installation, and running the model may be found here: https://github.com/drounce/PyGEM/wiki

Usage: PyGEM is meant for large-scale glacier evolution modeling.  PyGEM is still under active development.  Therefore, if you would like to run the model independently, it is suggested to install Release PyGEMv0.2.0.  However, given the major changes to the code, this release of the code is not being actively supported anymore.  We therefore highly encourage you to contact the lead developer (David Rounce) if you're interested in using the version that is actively being developed.

Contributing: We welcome contributions from any interested parties and are in the process of outlining how to best incorporate outside contributions. For the time being, if you would like to contribute to the development of the model, please contact David Rounce (drounce@cmu.edu).

Credits: If using PyGEM for scientific applications, please cite the following:
Rounce, D.R., Hock, R., Maussion, F., Hugonnet, R., Kochtitzky, W., Huss, M., Berthier, E., Brinkerhoff, D., Compagno, L., Copland, L., Farinotti, D., Menounos, B., and McNabb, R.W. “Global glacier change in the 21st century: Every increase in temperature matters”, Science, 379(6627), pp. 78-83, (2023), doi:10.1126/science.abo1324.

License: PyGEM uses an MIT license.
